create or replace package ploffx_document_gen
authid current_user is
--v5.9
---------------------------------------------
v_block_items ploffx_document_type.t_block_items := ploffx_document_type.v_block_items_empty;
v_pcontent_items ploffx_document_type.t_pcontent_items := ploffx_document_type.v_pcontent_items_empty;
v_hlink_content_items ploffx_document_type.t_pcontent_items := ploffx_document_type.v_pcontent_items_empty;
v_cellcontent_items ploffx_document_type.t_cellcontent_items := ploffx_document_type.v_cellcontent_items_empty;
v_rowcontent_items ploffx_document_type.t_rowcontent_items := ploffx_document_type.v_rowcontent_items_empty;
---------------------------------------------
--eastAsianLayout:CT_EastAsianLayout
--generate xml part
procedure eastAsianLayout(
  p_xml in out plx_sc.type_xdoc,
  p_eastAsianLayout ploffx_document_type.CT_EastAsianLayout
  );
---------------------------------------------
--effect:CT_TextEffect
--generate xml part
procedure effect(
  p_xml in out plx_sc.type_xdoc,
  p_effect ploffx_document_type.CT_TextEffect
  );
---------------------------------------------
--em:CT_Em
--generate xml part
procedure em(
  p_xml in out plx_sc.type_xdoc,
  p_em ploffx_document_type.CT_Em
  );
---------------------------------------------
--fittext:CT_FitText
--generate xml part
procedure fittext(
  p_xml in out plx_sc.type_xdoc,
  p_fittext ploffx_document_type.CT_FitText
  );
---------------------------------------------
--highlight:CT_Highlight
--generate xml part
procedure highlight(
  p_xml in out plx_sc.type_xdoc,
  p_highlight ploffx_document_type.CT_Highlight
  );
---------------------------------------------
--position:CT_SignedHpsMeasure
--generate xml part
procedure position(
  p_xml in out plx_sc.type_xdoc,
  p_position ploffx_document_type.CT_SignedHpsMeasure
  );
---------------------------------------------
--shd:CT_Shd
--generate xml part
procedure shd(
  p_xml in out plx_sc.type_xdoc,
  p_shd ploffx_document_type.CT_Shd
  );
---------------------------------------------
--vertAlign:CT_VerticalAlignRun
--generate xml part
procedure vertAlign(
  p_xml in out plx_sc.type_xdoc,
  p_vertAlign ploffx_document_type.CT_VerticalAlignRun
  );
---------------------------------------------
--w:CT_TextScale
--generate xml part
procedure w(
  p_xml in out plx_sc.type_xdoc,
  p_w ploffx_document_type.CT_TextScale
  );
---------------------------------------------
--bCs:CT_OnOff
--generate xml part
procedure bCs(
  p_xml in out plx_sc.type_xdoc,
  p_bCs ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--bdr:CT_Border
--generate xml part
procedure bdr(
  p_xml in out plx_sc.type_xdoc,
  p_bdr ploffx_document_type.CT_Border
  );
---------------------------------------------
--caps:CT_OnOff
--generate xml part
procedure caps(
  p_xml in out plx_sc.type_xdoc,
  p_caps ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--cs:CT_OnOff
--generate xml part
procedure cs(
  p_xml in out plx_sc.type_xdoc,
  p_cs ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--dstrike:CT_OnOff
--generate xml part
procedure dstrike(
  p_xml in out plx_sc.type_xdoc,
  p_dstrike ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--emboss:CT_OnOff
--generate xml part
procedure emboss(
  p_xml in out plx_sc.type_xdoc,
  p_emboss ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--iCs:CT_OnOff
--generate xml part
procedure iCs(
  p_xml in out plx_sc.type_xdoc,
  p_iCs ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--imprint:CT_OnOff
--generate xml part
procedure imprint(
  p_xml in out plx_sc.type_xdoc,
  p_imprint ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--kern:CT_HpsMeasure
--generate xml part
procedure kern(
  p_xml in out plx_sc.type_xdoc,
  p_kern ploffx_document_type.CT_HpsMeasure
  );
---------------------------------------------
--oMath:CT_OnOff
--generate xml part
procedure oMath(
  p_xml in out plx_sc.type_xdoc,
  p_oMath ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--outline:CT_OnOff
--generate xml part
procedure outline(
  p_xml in out plx_sc.type_xdoc,
  p_outline ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--rtl:CT_OnOff
--generate xml part
procedure rtl(
  p_xml in out plx_sc.type_xdoc,
  p_rtl ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--shadow:CT_OnOff
--generate xml part
procedure shadow(
  p_xml in out plx_sc.type_xdoc,
  p_shadow ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--smallCaps:CT_OnOff
--generate xml part
procedure smallCaps(
  p_xml in out plx_sc.type_xdoc,
  p_smallCaps ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--snapToGrid:CT_OnOff
--generate xml part
procedure snapToGrid(
  p_xml in out plx_sc.type_xdoc,
  p_snapToGrid ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--specVanish:CT_OnOff
--generate xml part
procedure specVanish(
  p_xml in out plx_sc.type_xdoc,
  p_specVanish ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--strike:CT_OnOff
--generate xml part
procedure strike(
  p_xml in out plx_sc.type_xdoc,
  p_strike ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--vanish:CT_OnOff
--generate xml part
procedure vanish(
  p_xml in out plx_sc.type_xdoc,
  p_vanish ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--webHidden:CT_OnOff
--generate xml part
procedure webHidden(
  p_xml in out plx_sc.type_xdoc,
  p_webHidden ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--rStyle:CT_String
--generate xml part
procedure rStyle(
  p_xml in out plx_sc.type_xdoc,
  p_rStyle ploffx_document_type.CT_String
  );
---------------------------------------------
--spacing2:CT_SignedTwipsMeasure
--generate xml part
procedure spacing2(
  p_xml in out plx_sc.type_xdoc,
  p_spacing2 ploffx_document_type.CT_SignedTwipsMeasure
  );
---------------------------------------------
--noProof:CT_OnOff
--generate xml part
procedure noProof(
  p_xml in out plx_sc.type_xdoc,
  p_noProof ploffx_document_type.CT_OnOff
  );
---------------------------------------------
-- v1.3.0
-- color:CT_Color
-- generate xml part
procedure color(
  p_xml in out plx_sc.type_xdoc,
  p_color ploffx_document_type.CT_Color
  );
---------------------------------------------
--pStyle:CT_String
--generate xml part
procedure pStyle(
  p_xml in out plx_sc.type_xdoc,
  p_pStyle ploffx_document_type.CT_String
  );
---------------------------------------------
--adjustRightInd:CT_OnOff
--generate xml part
procedure adjustRightInd(
  p_xml in out plx_sc.type_xdoc,
  p_adjustRightInd ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--autoSpaceDE:CT_OnOff
--generate xml part
procedure autoSpaceDE(
  p_xml in out plx_sc.type_xdoc,
  p_autoSpaceDE ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--autoSpaceDN:CT_OnOff
--generate xml part
procedure autoSpaceDN(
  p_xml in out plx_sc.type_xdoc,
  p_autoSpaceDN ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--bidi:CT_OnOff
--generate xml part
procedure bidi(
  p_xml in out plx_sc.type_xdoc,
  p_bidi ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--cnfStyle:CT_Cnf
--generate xml part
procedure cnfStyle(
  p_xml in out plx_sc.type_xdoc,
  p_cnfStyle ploffx_document_type.CT_Cnf
  );
---------------------------------------------
--contextualSpacing:CT_OnOff
--generate xml part
procedure contextualSpacing(
  p_xml in out plx_sc.type_xdoc,
  p_contextualSpacing ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--divId:CT_DecimalNumber
--generate xml part
procedure divId(
  p_xml in out plx_sc.type_xdoc,
  p_divId ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--framePr:CT_DecimalNumber
--generate xml part
procedure framePr(
  p_xml in out plx_sc.type_xdoc,
  p_framePr ploffx_document_type.CT_FramePr
  );
---------------------------------------------
--keepLines:CT_OnOff
--generate xml part
procedure keepLines(
  p_xml in out plx_sc.type_xdoc,
  p_keepLines ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--keepNext:CT_OnOff
--generate xml part
procedure keepNext(
  p_xml in out plx_sc.type_xdoc,
  p_keepNext ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--kinsoku:CT_OnOff
--generate xml part
procedure kinsoku(
  p_xml in out plx_sc.type_xdoc,
  p_kinsoku ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--mirrorIndents:CT_OnOff
--generate xml part
procedure mirrorIndents(
  p_xml in out plx_sc.type_xdoc,
  p_mirrorIndents ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--outlineLvl:CT_DecimalNumber
--generate xml part
procedure outlineLvl(
  p_xml in out plx_sc.type_xdoc,
  p_outlineLvl ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--overflowPunct:CT_OnOff
--generate xml part
procedure overflowPunct(
  p_xml in out plx_sc.type_xdoc,
  p_overflowPunct ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--pBdr:CT_OnOff
--generate xml part
procedure pBdr(
  p_xml in out plx_sc.type_xdoc,
  p_pBdr ploffx_document_type.CT_PBdr
  );
---------------------------------------------
--suppressAutoHyphens:CT_OnOff
--generate xml part
procedure suppressAutoHyphens(
  p_xml in out plx_sc.type_xdoc,
  p_suppressAutoHyphens ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--suppressLineNumbers:CT_OnOff
--generate xml part
procedure suppressLineNumbers(
  p_xml in out plx_sc.type_xdoc,
  p_suppressLineNumbers ploffx_document_type.CT_OnOff
  );
---------------------------------------------

--suppressOverlap:CT_OnOff
--generate xml part
procedure suppressOverlap(
  p_xml in out plx_sc.type_xdoc,
  p_suppressOverlap ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--tab:CT_TabStop
--generate xml part
procedure tab(
  p_xml in out plx_sc.type_xdoc,
  p_tab ploffx_document_type.CT_TabStop
  );
---------------------------------------------
--tabs:CT_Tabs
--generate xml part
procedure tabs(
  p_xml in out plx_sc.type_xdoc,
  p_tabs ploffx_document_type.CT_Tabs
  );
---------------------------------------------
--textAlignment:CT_TextAlignment
--generate xml part
procedure textAlignment(
  p_xml in out plx_sc.type_xdoc,
  p_textAlignment ploffx_document_type.CT_TextAlignment
  );
---------------------------------------------
--textboxTightWrap:CT_TextboxTightWrap
--generate xml part
procedure textboxTightWrap(
  p_xml in out plx_sc.type_xdoc,
  p_textboxTightWrap ploffx_document_type.CT_TextboxTightWrap
  );
---------------------------------------------
--textDirection:CT_TextDirection
--generate xml part
procedure textDirection(
  p_xml in out plx_sc.type_xdoc,
  p_textDirection ploffx_document_type.CT_TextDirection
  );
---------------------------------------------
--topLinePunct:CT_OnOff
--generate xml part
procedure topLinePunct(
  p_xml in out plx_sc.type_xdoc,
  p_topLinePunct ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--between:CT_Border
--generate xml part
procedure between_(
  p_xml in out plx_sc.type_xdoc,
  p_between ploffx_document_type.CT_Border
  );
---------------------------------------------
--bar:CT_Border
--generate xml part
procedure bar(
  p_xml in out plx_sc.type_xdoc,
  p_bar ploffx_document_type.CT_Border
  );
----------------------------------------
--CT_Point2D
--generate xml part
procedure start_1(
  p_xml in out plx_sc.type_xdoc,
  p_start ploffx_document_type.CT_Point2D
  );
----------------------------------------
--Ind:CT_Ind
--generate xml part
procedure Ind(
  p_xml in out plx_sc.type_xdoc,
  p_ind ploffx_document_type.CT_Ind
  );
---------------------------------------------
--bottom:CT_Border
--generate xml part
procedure bottom(
  p_xml in out plx_sc.type_xdoc,
  p_bottom ploffx_document_type.CT_Border
  );
---------------------------------------------
--bottom:CT_tblWidth
--generate xml part
procedure bottom_w(
  p_xml in out plx_sc.type_xdoc,
  p_tblWidth ploffx_document_type.CT_tblWidth
  );
---------------------------------------------
--insideH:CT_Border
--generate xml part
procedure insideH(
  p_xml in out plx_sc.type_xdoc,
  p_insideH ploffx_document_type.CT_Border
  );
---------------------------------------------
--insideV:CT_Border
--generate xml part
procedure insideV(
  p_xml in out plx_sc.type_xdoc,
  p_insideV ploffx_document_type.CT_Border
  );
---------------------------------------------
--left:CT_Border
--generate xml part
procedure left(
  p_xml in out plx_sc.type_xdoc,
  p_left ploffx_document_type.CT_Border
  );
---------------------------------------------
--left:CT_tblWidth
--generate xml part
procedure left_w(
  p_xml in out plx_sc.type_xdoc,
  p_tblWidth ploffx_document_type.CT_tblWidth
  );
---------------------------------------------
--right:CT_Border
--generate xml part
procedure right(
  p_xml in out plx_sc.type_xdoc,
  p_right ploffx_document_type.CT_Border
  );
---------------------------------------------
--rigth:CT_tblWidth
--generate xml part
procedure right_w(
  p_xml in out plx_sc.type_xdoc,
  p_tblWidth ploffx_document_type.CT_tblWidth
  );
---------------------------------------------
--top:CT_Border
--generate xml part
procedure top(
  p_xml in out plx_sc.type_xdoc,
  p_top ploffx_document_type.CT_Border
  );
---------------------------------------------
--top:CT_tblWidth
--generate xml part
procedure top_w(
  p_xml in out plx_sc.type_xdoc,
  p_tblWidth ploffx_document_type.CT_tblWidth
  );
---------------------------------------------
--tblCellMar:CT_tblCellMar
--generate xml part
procedure tblCellMar(
  p_xml in out plx_sc.type_xdoc,
  p_tblCellMar ploffx_document_type.CT_tblCellMar
  );
---------------------------------------------
--tblInd:CT_TblWidth
--generate xml part
procedure tblInd(
  p_xml in out plx_sc.type_xdoc,
  p_tblInd ploffx_document_type.CT_TblWidth
  );
---------------------------------------------
--tblBorders:CT_tblBorders
--generate xml part
procedure TblBorders(
  p_xml in out plx_sc.type_xdoc,
  p_tblBorders ploffx_document_type.CT_TblBorders
  );
---------------------------------------------
--generate XML part
procedure drawing(
  p_xml in out plx_sc.type_xdoc,
  p_drawing ploffx_document_type.CT_Drawing
  );
---------------------------------------------
--v5.8
procedure pict(
  p_xml in out plx_sc.type_xdoc,
  p_pict ploffx_document_type.CT_Picture
  );
---------------------------------------------
--generate XML part
procedure rFonts(
  p_xml in out plx_sc.type_xdoc,
  p_rFonts ploffx_document_type.CT_Fonts
  );
---------------------------------------------
--generate XML part
procedure sz(
  p_xml in out plx_sc.type_xdoc,
  p_sz ploffx_document_type.CT_HpsMeasure
  );
---------------------------------------------
-- generate XML part
procedure rPr(
  p_xml in out plx_sc.type_xdoc,
  p_rPr ploffx_document_type.CT_RPr
  );
---------------------------------------------
--t CT_Text
--generate xml part
procedure t(
  p_xml in out plx_sc.type_xdoc,
  p_t ploffx_document_type.CT_Text
  );
---------------------------------------------
--br CT_Br
--generate xml part
procedure br(
  p_xml in out plx_sc.type_xdoc,
  p_br ploffx_document_type.CT_Br
  );
---------------------------------------------
--rinntercontent
--generate xml part
procedure rinnercontent(
  p_xml in out plx_sc.type_xdoc,
  p_rinnercontent ploffx_document_type.t_rinnercontent
  );
---------------------------------------------
--r CT_R
--generate xml part
procedure R(
  p_xml in out plx_sc.type_xdoc,
  p_R ploffx_document_type.CT_R
  );
---------------------------------------------
--generate xml part
procedure pcontent(
  p_xml in out plx_sc.type_xdoc,
  p_pcontent ploffx_document_type.t_pcontent
  );
---------------------------------------------
--generate xml part
procedure pcontents(
  p_xml in out plx_sc.type_xdoc,
  p_pcontents ploffx_document_type.t_pcontents
  );
---------------------------------------------
--generate xml part
procedure spacing(
  p_xml in out plx_sc.type_xdoc,
  p_spacing ploffx_document_type.CT_Spacing
  );
---------------------------------------------
--generate xml part
procedure jc(
  p_xml in out plx_sc.type_xdoc,
  p_jc ploffx_document_type.CT_Jc
  );
---------------------------------------------
--pageBreakBefore CT_OnOff
--generate xml part
procedure pageBreakBefore(
  p_xml in out plx_sc.type_xdoc,
  p_pageBreakBefore ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--widowControl CT_OnOff
--generate xml part
procedure widowControl(
  p_xml in out plx_sc.type_xdoc,
  p_widowControl ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--wordWrap CT_OnOff
--generate xml part
procedure wordWrap(
  p_xml in out plx_sc.type_xdoc,
  p_wordWrap ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--generate xml part
procedure pPr(
  p_xml in out plx_sc.type_xdoc,
  p_pPr ploffx_document_type.CT_PPr
  );
---------------------------------------------
-- p CT_P
--generate xml part
procedure p(
  p_xml in out plx_sc.type_xdoc,
  p_p ploffx_document_type.CT_P
  );
---------------------------------------------
--item
--generate xml part
procedure item(
  p_xml in out plx_sc.type_xdoc,
  p_item in out ploffx_document_type.t_block_item
  );
----------------------------------------------
--blocks
--generate xml part
procedure blocks(
  p_xml in out plx_sc.type_xdoc,
  p_blocks ploffx_document_type.t_blocks
  );
----------------------------------------------
--pgSz CT_PageSz
--generate xml part
procedure pgSz(
  p_xml in out plx_sc.type_xdoc,
  p_pgSz ploffx_document_type.CT_PageSz
  );
----------------------------------------------
--headerReference CT_HdrFtrRef
--generate xml part
procedure headerReference(
  p_xml in out plx_sc.type_xdoc,
  p_headerReference ploffx_document_type.t_HdrFtrRef_
  );
----------------------------------------------
--footerReference CT_HdrFtrRef
--generate xml part
procedure footerReference(
  p_xml in out plx_sc.type_xdoc,
  p_footerReference ploffx_document_type.t_HdrFtrRef_
  );
---------------------------------------------
--numStart CT_DecimalNumber
--generate xml part
procedure numStart(
  p_xml in out plx_sc.type_xdoc,
  p_numStart ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--numRestart CT_NumRestart
--generate xml part
procedure numRestart(
  p_xml in out plx_sc.type_xdoc,
  p_numRestart ploffx_document_type.CT_NumRestart
  );
---------------------------------------------
--pos CT_EdnPos
--generate xml part
procedure pos(
  p_xml in out plx_sc.type_xdoc,
  p_pos ploffx_document_type.CT_EdnPos
  );
---------------------------------------------
--pos CT_FtnPos
--generate xml part
procedure pos_1(
  p_xml in out plx_sc.type_xdoc,
  p_pos ploffx_document_type.CT_FtnPos
  );
---------------------------------------------
--col:CT_Column
--generate xml part
procedure col(
  p_xml in out plx_sc.type_xdoc,
  p_col ploffx_document_type.CT_Column
  );
---------------------------------------------
--cols:CT_Columns
--generate xml part
procedure cols(
  p_xml in out plx_sc.type_xdoc,
  p_cols ploffx_document_type.CT_Columns
  );
---------------------------------------------
--docGrid:CT_DocGrid
--generate xml part
procedure docGrid(
  p_xml in out plx_sc.type_xdoc,
  p_docGrid ploffx_document_type.CT_DocGrid
  );
---------------------------------------------
--endnotePr:CT_EdnProps
--generate xml part
procedure endnotePr(
  p_xml in out plx_sc.type_xdoc,
  p_endnotePr ploffx_document_type.CT_EdnProps
  );
---------------------------------------------
--footnotePr:CT_FtnProps
--generate xml part
procedure footnotePr(
  p_xml in out plx_sc.type_xdoc,
  p_footnotePr ploffx_document_type.CT_FtnProps
  );
---------------------------------------------
--formProt:CT_OnOff
--generate xml part
procedure formProt(
  p_xml in out plx_sc.type_xdoc,
  p_formProt ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--lnNumType:CT_LineNumber
--generate xml part
procedure lnNumType(
  p_xml in out plx_sc.type_xdoc,
  p_lnNumType ploffx_document_type.CT_LineNumber
  );
---------------------------------------------
--noEndnote:CT_OnOff
--generate xml part
procedure noEndnote(
  p_xml in out plx_sc.type_xdoc,
  p_noEndnote ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--paperSrc:CT_PaperSource
--generate xml part
procedure paperSrc(
  p_xml in out plx_sc.type_xdoc,
  p_paperSrc ploffx_document_type.CT_PaperSource
  );
---------------------------------------------
--pgBorders:CT_PageBorders
--generate xml part
procedure pgBorders(
  p_xml in out plx_sc.type_xdoc,
  p_pgBorders ploffx_document_type.CT_PageBorders
  );
---------------------------------------------
--pgMar:CT_PageMar
--generate xml part
procedure pgMar(
  p_xml in out plx_sc.type_xdoc,
  p_pgMar ploffx_document_type.CT_PageMar
  );
---------------------------------------------
--pgNumType:CT_PageNumber
--generate xml part
procedure pgNumType(
  p_xml in out plx_sc.type_xdoc,
  p_pgNumType ploffx_document_type.CT_PageNumber
  );
---------------------------------------------
--printerSettings:CT_Rel
--generate xml part
procedure printerSettings(
  p_xml in out plx_sc.type_xdoc,
  p_printerSettings ploffx_document_type.CT_Rel
  );
---------------------------------------------
--rtlGutter:CT_OnOff
--generate xml part
procedure rtlGutter(
  p_xml in out plx_sc.type_xdoc,
  p_rtlGutter ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--sectPrChange:CT_SectPrChange
--generate xml part
procedure sectPrChange(
  p_xml in out plx_sc.type_xdoc,
  p_sectPrChange ploffx_document_type.CT_SectPrChange
  );
---------------------------------------------
--titlePg:CT_OnOff
--generate xml part
procedure titlePg(
  p_xml in out plx_sc.type_xdoc,
  p_titlePg ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--type_:CT_SectType
--generate xml part
procedure type(
  p_xml in out plx_sc.type_xdoc,
  p_type ploffx_document_type.CT_SectType
  );
---------------------------------------------
--sectPr CT_SectPr
--generate xml part
procedure sectPr(
  p_xml in out plx_sc.type_xdoc,
  p_sectPr ploffx_document_type.CT_sectPr
  );
---------------------------------------------
--body CT_Body
procedure body(
  p_xml in out plx_sc.type_xdoc,
  p_body ploffx_document_type.CT_body
  );
--background CT_Background
procedure background(
  p_xml in out plx_sc.type_xdoc,
  p_background ploffx_document_type.CT_background
  );
--
--document CT_Document
--generate xml part
procedure Document(
  p_xml in out plx_sc.type_xdoc,
  p_document ploffx_document_type.CT_Document
  );
--
procedure xml(
  p_xml in out plx_sc.type_xdoc,
  p_document ploffx_document_type.CT_Document
  );
-- -- -- -- -- -- -- -- -- -- -- -- -- --
---------------------------------------------
--tblpPr:CT_TblPPr
--generate xml part
procedure tblpPr(
  p_xml in out plx_sc.type_xdoc,
  p_tblpPr ploffx_document_type.CT_TblPPr
  );
---------------------------------------------
--bidiVisual:CT_OnOff
--generate xml part
procedure bidiVisual(
  p_xml in out plx_sc.type_xdoc,
  p_bidiVisual ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--tblStyleRowBandSize:CT_DecimalNumber
--generate xml part
procedure tblStyleRowBandSize(
  p_xml in out plx_sc.type_xdoc,
  p_tblStyleRowBandSize ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--tblStyleColBandSize:CT_DecimalNumber
--generate xml part
procedure tblStyleColBandSize(
  p_xml in out plx_sc.type_xdoc,
  p_tblStyleColBandSize ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--tblCellSpacing:CT_TblWidth
--generate xml part
procedure tblCellSpacing(
  p_xml in out plx_sc.type_xdoc,
  p_tblCellSpacing ploffx_document_type.CT_TblWidth
  );
---------------------------------------------
--tblLayout:CT_TblLayoutType
--generate xml part
procedure tblLayout(
  p_xml in out plx_sc.type_xdoc,
  p_tblLayout ploffx_document_type.CT_TblLayoutType
  );
---------------------------------------------
--tblLook:CT_TblLook
--generate xml part
procedure tblLook(
  p_xml in out plx_sc.type_xdoc,
  p_tblLook ploffx_document_type.CT_TblLook
  );
---------------------------------------------
--tblCaption:CT_String
--generate xml part
procedure tblCaption(
  p_xml in out plx_sc.type_xdoc,
  p_tblCaption ploffx_document_type.CT_String
  );
---------------------------------------------
--tblDescription:CT_String
--generate xml part
procedure tblDescription(
  p_xml in out plx_sc.type_xdoc,
  p_tblDescription ploffx_document_type.CT_String
  );
---------------------------------------------
--tblPr:CT_tblPrBase
--generate xml part
procedure tblPr(
  p_xml in out plx_sc.type_xdoc,
  p_tblPr ploffx_document_type.CT_TblPr
  );
---------------------------------------------
--gridCol:CT_TblGridCol
--generate xml part
procedure gridCol(
  p_xml in out plx_sc.type_xdoc,
  p_gridCol ploffx_document_type.CT_TblGridCol
  );
---------------------------------------------
--tblGrid:CT_TblGrid
--generate xml part
procedure tblGrid(
  p_xml in out plx_sc.type_xdoc,
  p_tblGrid ploffx_document_type.CT_TblGrid
  );
---------------------------------------------
--v3.0.1
--tblW:CT_TblWidth
--generate xml part
procedure tblW(
  p_xml in out plx_sc.type_xdoc,
  p_tblW ploffx_document_type.CT_TblWidth
  );
---------------------------------------------
--gridBefore:CT_DecimalNumber
--generate xml part
procedure gridBefore(
  p_xml in out plx_sc.type_xdoc,
  p_gridBefore ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--gridAfter:CT_DecimalNumber
--generate xml part
procedure gridAfter(
  p_xml in out plx_sc.type_xdoc,
  p_gridAfter ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--wBefore:CT_TblWidth
--generate xml part
procedure wBefore(
  p_xml in out plx_sc.type_xdoc,
  p_wBefore ploffx_document_type.CT_TblWidth
  );
---------------------------------------------
--wAfter:CT_TblWidth
--generate xml part
procedure wAfter(
  p_xml in out plx_sc.type_xdoc,
  p_wAfter ploffx_document_type.CT_TblWidth
  );
---------------------------------------------
--cantSplit:CT_OnOff
--generate xml part
procedure cantSplit(
  p_xml in out plx_sc.type_xdoc,
  p_cantSplit ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--trHeight:CT_Height
--generate xml part
procedure trHeight(
  p_xml in out plx_sc.type_xdoc,
  p_trHeight ploffx_document_type.CT_Height
  );
---------------------------------------------
--tblHeader:CT_OnOff
--generate xml part
procedure tblHeader(
  p_xml in out plx_sc.type_xdoc,
  p_tblHeader ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--gridSpan:CT_DecimalNumber
--generate xml part
procedure gridSpan(
  p_xml in out plx_sc.type_xdoc,
  p_gridSpan ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--hideMark:CT_OnOff
--generate xml part
procedure hideMark(
  p_xml in out plx_sc.type_xdoc,
  p_hideMark ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--hMerge:CT_HMerge
--generate xml part
procedure hMerge(
  p_xml in out plx_sc.type_xdoc,
  p_hMerge ploffx_document_type.CT_HMerge
  );
---------------------------------------------
--tcBorders:CT_TcBorders
--generate xml part
procedure tcBorders(
  p_xml in out plx_sc.type_xdoc,
  p_tcBorders ploffx_document_type.CT_TcBorders
  );
---------------------------------------------
--tcFitText:CT_OnOff
--generate xml part
procedure tcFitText(
  p_xml in out plx_sc.type_xdoc,
  p_tcFitText ploffx_document_type.CT_OnOff
  );
---------------------------------------------
--tcMar:CT_TcMar
--generate xml part
procedure tcMar(
  p_xml in out plx_sc.type_xdoc,
  p_tcMar ploffx_document_type.CT_TcMar
  );
---------------------------------------------
--vAlign:CT_VerticalJc
--generate xml part
procedure vAlign(
  p_xml in out plx_sc.type_xdoc,
  p_vAlign ploffx_document_type.CT_VerticalJc
  );
---------------------------------------------
--vMerge:CT_VMerge
--generate xml part
procedure vMerge(
  p_xml in out plx_sc.type_xdoc,
  p_vMerge ploffx_document_type.CT_VMerge
  );
---------------------------------------------
--tl2br:CT_Border
--generate xml part
procedure tl2br(
  p_xml in out plx_sc.type_xdoc,
  p_tl2br ploffx_document_type.CT_Border
  );
---------------------------------------------
--tr2bl:CT_Border
--generate xml part
procedure tr2bl(
  p_xml in out plx_sc.type_xdoc,
  p_tr2bl ploffx_document_type.CT_Border
  );
---------------------------------------------
--tcw:CT_TblWidth
--generate xml part
procedure tcw(
  p_xml in out plx_sc.type_xdoc,
  p_tcw ploffx_document_type.CT_TblWidth
  );
--
procedure attr(
  p_xml in out plx_sc.type_xdoc,
  p_attr ploffx_document_type.CT_attr
  );
--
function is_Jc(
  p_jc varchar2
  ) return boolean;
--
function is_LineSpacingRule(
  p_LineSpacingRule varchar2
  ) return boolean;
--
function is_JcTable(
  p_jcTable varchar2
  ) return boolean;

--v2.0.0
function is_TabJc(
  p_TabJc varchar2
  ) return boolean;
--
function is_TabTlc(
  p_TabTlc varchar2
  ) return boolean;
--
function is_SectionMark(
  p_SectionMark varchar2
  ) return boolean;
--
function is_MultiLevelType(
  p_MultiLevelType varchar2
  ) return boolean;
--
function is_HdrFtr(
  p_HdrFtr varchar2
  ) return boolean;
--v3.0.7
procedure fldChar(
  p_xml in out plx_sc.type_xdoc,
  p_fld ploffx_document_type.CT_fldChar
  );
--
procedure fldSimple(
  p_xml in out plx_sc.type_xdoc,
  p_fld ploffx_document_type.CT_SimpleField
  );
--
procedure hyperlink(
  p_xml in out plx_sc.type_xdoc,
  p_pcontent_items ploffx_document_type.t_pcontent_items,
  p_hlink ploffx_document_type.CT_hyperlink_w
);
---------------------------------------------
--v3.0.0
--calendar:CT_String
--generate xml part
procedure calendar(
  p_xml in out plx_sc.type_xdoc,
  p_calendar ploffx_document_type.CT_CalendarType
  );
---------------------------------------------
--v3.0.0
--storeMappedDataAs:CT_SdtDateMappingType
--generate xml part
procedure storeMappedDataAs(
  p_xml in out plx_sc.type_xdoc,
  p_storeMappedDataAs ploffx_document_type.CT_SdtDateMappingType
  );
---------------------------------------------
--v3.0.0
--lid:CT_Lang
--generate xml part
procedure lid(
  p_xml in out plx_sc.type_xdoc,
  p_lid ploffx_document_type.CT_Lang
  );
---------------------------------------------
--v3.0.0
--dateFormat:CT_String
--generate xml part
procedure dateFormat(
  p_xml in out plx_sc.type_xdoc,
  p_dateFormat ploffx_document_type.CT_String
  );
---------------------------------------------
--v3.0.0
--listItem:CT_SdtListItem
--generate xml part
procedure listItem(
  p_xml in out plx_sc.type_xdoc,
  p_listItem ploffx_document_type.CT_SdtListItem
  );
---------------------------------------------
--v3.0.0
--docPart:CT_String
--generate xml part
procedure docPart(
  p_xml in out plx_sc.type_xdoc,
  p_docPart ploffx_document_type.CT_String
  );
---------------------------------------------
--v3.0.0
--text:CT_SdtText
--generate xml part
procedure text(
  p_xml in out plx_sc.type_xdoc,
  p_text ploffx_document_type.CT_SdtText
  );
---------------------------------------------
--v3.0.0
--richText:CT_Empty
--generate xml part
procedure richText(
  p_xml in out plx_sc.type_xdoc,
  p_richText ploffx_document_type.CT_Empty
  );
---------------------------------------------
--v3.0.0
--placeholder:CT_Placeholder
--generate xml part
procedure placeholder(
  p_xml in out plx_sc.type_xdoc,
  p_placeholder ploffx_document_type.CT_Placeholder
  );
---------------------------------------------
--v3.0.0
--picture:CT_Empty
--generate xml part
procedure picture(
  p_xml in out plx_sc.type_xdoc,
  p_picture ploffx_document_type.CT_Empty
  );
---------------------------------------------
--v3.0.0
--id:CT_DecimalNumber
--generate xml part
procedure id(
  p_xml in out plx_sc.type_xdoc,
  p_id ploffx_document_type.CT_DecimalNumber
  );
---------------------------------------------
--v3.0.0
--tag:CT_String
--generate xml part
procedure tag(
  p_xml in out plx_sc.type_xdoc,
  p_tag ploffx_document_type.CT_String
  );
---------------------------------------------
--v3.0.0
--dropDownList:CT_SdtDropDownList
--generate xml part
procedure dropDownList(
  p_xml in out plx_sc.type_xdoc,
  p_dropDownList ploffx_document_type.CT_SdtDropDownList
  );
---------------------------------------------
--v3.0.0
--date:CT_SdtDate
--generate xml part
procedure date_(
  p_xml in out plx_sc.type_xdoc,
  p_date ploffx_document_type.CT_SdtDate
  );
---------------------------------------------
--v3.0.0
--comboBox:CT_SdtComboBox
--generate xml part
procedure comboBox(
  p_xml in out plx_sc.type_xdoc,
  p_comboBox ploffx_document_type.CT_SdtComboBox
  );
---------------------------------------------
--v3.0.0
--alias:CT_String
--generate xml part
procedure alias(
  p_xml in out plx_sc.type_xdoc,
  p_alias ploffx_document_type.CT_String
  );
---------------------------------------------
--v3.0.0
--sdtContent:CT_SdtContent
--generate xml part
procedure sdtContent(
  p_xml in out plx_sc.type_xdoc,
  p_sdtContent ploffx_document_type.CT_SdtContent
  );
---------------------------------------------
--v3.0.0
--sdtPr:CT_SdtPr
--generate xml part
procedure sdtPr(
  p_xml in out plx_sc.type_xdoc,
  p_sdtPr ploffx_document_type.CT_SdtPr
  );
---------------------------------------------
--v3.0.0
--sdt:CT_Sdt
--generate xml part
procedure sdt(
  p_xml in out plx_sc.type_xdoc,
  p_sdt ploffx_document_type.CT_Sdt
  );
--CT_TrPr
procedure TrPr(
  p_xml in out plx_sc.type_xdoc,
  p_TrPr ploffx_document_type.CT_TrPr
  );
--TcPr
procedure tcPr(
  p_xml in out plx_sc.type_xdoc,
  p_tcPr ploffx_document_type.CT_TcPr
  );
---------------------------------------------
--v3.0.6
--bookmarkStart: CT_Bookmark
procedure bookmarkStart(
  p_xml in out plx_sc.type_xdoc,
  p_bookmarkStart ploffx_document_type.CT_Bookmark
  );
---------------------------------------------
--v3.0.6
--bookmarkEnd:CT_MarkupRange
procedure bookmarkEnd(
  p_xml in out plx_sc.type_xdoc,
  p_bookmarkEnd ploffx_document_type.CT_MarkupRange
  );
---------------------------------------------
--v3.0.6
--instrText:CT_Text
procedure instrText(
  p_xml in out plx_sc.type_xdoc,
  p_instrText ploffx_document_type.CT_Text
  );
---------------------------------------------
--v4.9.3
procedure tblStylePr(
  p_xml in out plx_sc.type_xdoc,
  p_tblStylePr ploffx_document_type.CT_tblStylePr
  );
/*********************************************************************************/
end ploffx_document_gen;
/

